<?php
	/*
	* 2018 - VEGA Informatique
	*
	* NOTICE OF LICENSE
	*
	* This source file is subject to the Open Software License (OSL 3.0)
	* that is bundled with this package in the file LICENSE.txt.
	* It is also available through the world-wide-web at this URL:
	* http://opensource.org/licenses/osl-3.0.php
	*
	* DISCLAIMER
	*
	* Do not edit or add to this file if you wish to upgrade PolarisLink to newer
	* versions in the future. 
	*
	*  @author VEGA Informatique <contact@vega-info.fr>
	*  @copyright  2018 VEGA Informatique
	*  @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
	*/

if (!defined('_PS_VERSION_'))
  exit;

require_once( _PS_ROOT_DIR_ . "/modules/polarislink/classes/PolarisLinkImport_product.php");

class AdminPolarisLinkUtilsController extends ModuleAdminController
{	
	public function __construct()
	{
		$this->context = Context::getContext();			
		$this->bootstrap = true;
					
		parent::__construct();		
	}	
	
	/* On procède à l'affichage */
	public function renderList()
	{	
		$output = "";
		
		$linkCfg = null;
		if (isset($_REQUEST["id_link"]))
		{
			foreach ($this->module->Config as $link)
			{
				if ($link->LinkID == $_REQUEST["id_link"])
				{
					$linkCfg = $link;
					break;
				}
			}
		}
		
		if (isset($_REQUEST["tool"]))
		{
			$url_back = true;
			switch ($_REQUEST["tool"])
			{
				case "phpinfo":
					phpinfo();
					die();
				case "sort-sizes":
					if (empty($linkCfg))
						return '<div class="alert alert-danger">'.Tools::displayError("impossible de trouver le site concerné !").'</div>';					
			
					PrestaShopLogger::addLog("Demande de tri automatisé des tailles", 1, 1, $this->module->displayName, 1, true);
					PolarisLinkImport_product::sortAttributesNatural($linkCfg->LangID, $linkCfg->AttrGroupForAttr0);
			
					$output .= '<div class="alert alert-info">'."Vos tailles ont bien été triées !".'</div>';					
					break;
				case "resync";
					$linkCfg->Resync = 1;
					$linkCfg->save();
					PrestaShopLogger::addLog("Demande de resynchronisation totale", 1, 1, $this->module->displayName, 1, true);
					$output .= '<div class="alert alert-info">'."La resynchronisation a bien été demandée, la prochaine synchronisation sera complète !".'</div>';					
					break;
				case "reexport_sales";
					$linkCfg->ReExportSales = 1;
					$linkCfg->save();
					PrestaShopLogger::addLog("Demande de renvoi total des ventes", 1, 1, $this->module->displayName, 1, true);
					$output .= '<div class="alert alert-info">'."Le réexportation des ventes a bien été enregistrée, la prochaine demande d'exportation sera remplacée par un export total des commandes à partir de la commande n°".
									$this->module->getOrderBarrier()
									.") !".'</div>';					
					break;
				case "reexport_customers";
					$linkCfg->ReExportCustomers = 1;
					$linkCfg->save();
					PrestaShopLogger::addLog("Demande de renvoi total des clients", 1, 1, $this->module->displayName, 1, true);
					$output .= '<div class="alert alert-info">'."Le réexportation des clients a bien été enregistrée, la prochaine demande d'exportation sera remplacée par un export total des données clients !".'</div>';
					break;
				case "resync-photo";
					Db::getInstance()->execute("UPDATE `"._DB_PREFIX_."polarislink_photos` SET etag = '0' WHERE `id_link` = ".(int)$linkCfg->LinkID);
					$linkCfg->Resync = 1;
					$linkCfg->save();

					PrestaShopLogger::addLog("Demande de resynchronisation des photos", 1, 1, $this->module->displayName, 1, true);
					$output .= '<div class="alert alert-info">'."La resynchronisation des photos a bien été demandée.".'</div>';
					break;
				case "clean-logs";					
					if (!Db::getInstance()->execute("DELETE FROM "._DB_PREFIX_."log WHERE severity = 1 AND message LIKE '%PolarisLink%'"))
					{
						$output .= '<div class="alert alert-error">'.Db::getInstance()->getMsgError().'</div>';						
					}
					else
					{
						$output .= '<div class="alert alert-info">'."Les journaux ont bien été nettoyés !".'</div>';
						PrestaShopLogger::addLog("Nettoyage des journaux de modifications PolarisLink", 1, 1, $this->module->displayName, 1, true);
					}
					break;
				case "clean-errors";
					if (!Db::getInstance()->execute("DELETE FROM "._DB_PREFIX_."log WHERE object_type = 'PolarisLink'"))
					{
						$output .= '<div class="alert alert-error">'.Db::getInstance()->getMsgError().'</div>';						
					}
					else
					{
						$output .= '<div class="alert alert-info">'."Les journaux ont bien été nettoyés !".'</div>';
						PrestaShopLogger::addLog("Nettoyage des erreurs PolarisLink dans les journaux", 1, 1, $this->module->displayName, 1, true);
					}
					break;
			}

			if ($url_back)
				$output .= '<div>[ <a href="'.$this->context->link->getAdminLink("AdminModules") . '&configure=polarislink&tab_module=administration&module_name=polarislink">Retourner à la configuration du module</a> ]</div>';
		}		
		
		return $output;
	}
}