<?php
	/*
	* 2018 - VEGA Informatique
	*
	* NOTICE OF LICENSE
	*
	* This source file is subject to the Open Software License (OSL 3.0)
	* that is bundled with this package in the file LICENSE.txt.
	* It is also available through the world-wide-web at this URL:
	* http://opensource.org/licenses/osl-3.0.php
	*
	* DISCLAIMER
	*
	* Do not edit or add to this file if you wish to upgrade PolarisLink to newer
	* versions in the future. 
	*
	*  @author VEGA Informatique <contact@vega-info.fr>
	*  @copyright  2018 VEGA Informatique
	*  @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
	*/

	class PolarisLinkJobs extends ObjectModel
	{
		public $id_link;
		public $job;
		public $priority;
		public $creation_date;
		public $rows_done;
		public $total_rows;	
		public $err;	
		
		public static $definition = array(
				"table" => "polarislink_jobs",
				"primary" => "id_job",
				"multilang" => false,
				"fields" => array(
								"id_link" => array( "type" => ObjectModel::TYPE_INT ),	
								"job" => array( "type" => ObjectModel::TYPE_STRING ),	
								"priority" => array( "type" => ObjectModel::TYPE_INT ),	
								"creation_date" => array( "type" => ObjectModel::TYPE_INT ),	
								"rows_done" => array( "type" => ObjectModel::TYPE_INT ),	
								"total_rows" => array( "type" => ObjectModel::TYPE_INT ),	
								"err" => array( "type" => ObjectModel::TYPE_INT ),	
							),
			);

		public static function loadAll($id_link)
		{
			$sql = "SELECT * FROM " . _DB_PREFIX_ . "polarislink_jobs WHERE id_link = ".pSQL($id_link);
			
			if ($rows = Db :: getInstance()->ExecuteS($sql)) 
				return ObjectModel :: hydrateCollection(__CLASS__, $rows);

			return NULL;
		}
			
		/* chercher par proprit */
		public static function loadByJobName($id_link, $jobName)
		{
			$sql = "SELECT * FROM " . _DB_PREFIX_ . "polarislink_jobs WHERE id_link = ".pSQL($id_link)." AND job = '".pSQL($jobName)."'";
			
			if ($rows = Db :: getInstance()->ExecuteS($sql)) 
			{
				foreach (ObjectModel :: hydrateCollection(__CLASS__, $rows) as $result)
					return $result;
			}

			return NULL;
		}
	}
?>